services:
  nginxaspnetcore1:
    image: ${DOCKER_REGISTRY-}nginxaspnetcore
    build:
      context: .
      dockerfile: NginxASPNETCore/Dockerfile
    ports:
        - "4001:8080"
    environment:
      - appname=First
      - ASPNETCORE_ENVIRONMENT=Development
      - ASPNETCORE_URLS=http://+:8080

  nginxaspnetcore2:
    image: ${DOCKER_REGISTRY-}nginxaspnetcore
    build:
      context: .
      dockerfile: NginxASPNETCore/Dockerfile
    ports:
        - "4002:8080"
    environment:
      - appname=Second
      - ASPNETCORE_ENVIRONMENT=Development
      - ASPNETCORE_URLS=http://+:8080

  nginxaspnetcore3:
    image: ${DOCKER_REGISTRY-}nginxaspnetcore
    build:
      context: .
      dockerfile: NginxASPNETCore/Dockerfile
    ports:
        - "4003:8080"
    environment:
      - appname=Third
      - ASPNETCORE_ENVIRONMENT=Development
      - ASPNETCORE_URLS=http://+:8080